corNatural {nlme} | R Documentation

## General correlation in natural parameterization

### Description

This function is a constructor for the `corNatural` class, representing a general correlation structure in the ``natural'' parameterization, which is described under `pdNatural`. Objects created using this constructor must later be initialized using the appropriate `Initialize` method.

### Usage

    corNatural(value, form, fixed)

### Arguments

`value` | an optional vector with the parameter values. Default is `numeric(0)`, which results in a vector of zeros of appropriate dimension being assigned to the parameters when `object` is initialized (corresponding to an identity correlation structure).
`form` | a one sided formula of the form `~ t`, or `~ t | g`, specifying a time covariate `t` and, optionally, a grouping factor `g`. A covariate for this correlation structure must be integer valued. When a grouping factor is present in `form`, the correlation structure is assumed to apply only to observations within the same grouping level; observations with different grouping levels are assumed to be uncorrelated. Defaults to `~ 1`, which corresponds to using the order of the observations in the data as a covariate, and no groups.
`fixed` | an optional logical value indicating whether the coefficients should be allowed to vary in the optimization, or kept fixed at their initial value. Defaults to `FALSE`, in which case the coefficients are allowed to vary.

### Value

an object of class `corNatural` representing a general correlation structure.

### Author(s)

Jose Pinheiro Jose.Pinheiro@pharma.novartis.com and Douglas Bates bates@stat.wisc.edu

### See Also

`Initialize.corNatural`, `pdNatural`

### Examples

    ## covariate is observation order and grouping factor is Subject
    cs1 <- corNatural(form = ~ 1 | Subject)

[Package nlme version 3.1-66 Index]